package com.uas.eis.entity;

import java.io.Serializable;
import java.util.LinkedList;

/**
 * Created by luhg on 2018/4/20.
 * 出入库的实体类(采购验收，验退，委外验收，验退，其它出入库及拨出单)
 */
public class Stock implements Serializable{

    private static final long serialVersionUID = 1L;

    private long id;

    private String outer_no;

    private String warehouse_no;

    private String out_warehouse_no;

    private int order_type;

    private String remark;

    private LinkedList<StockDetail> details_list;

    public Stock(){
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getOuter_no() {
        return outer_no;
    }

    public void setOuter_no(String outer_no) {
        this.outer_no = outer_no;
    }

    public String getWarehouse_no() {
        return warehouse_no;
    }

    public void setWarehouse_no(String warehouse_no) {
        this.warehouse_no = warehouse_no;
    }

    public String getOut_warehouse_no() {
        return out_warehouse_no;
    }

    public void setOut_warehouse_no(String out_warehouse_no) {
        this.out_warehouse_no = out_warehouse_no;
    }

    public int getOrder_type() {
        return order_type;
    }

    public void setOrder_type(int order_type) {
        this.order_type = order_type;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public LinkedList<StockDetail> getDetails_list() {
        return details_list;
    }

    public void setDetails_list(LinkedList<StockDetail> details_list) {
        this.details_list = details_list;
    }
}
